.TH SLARUV l "08 October 1994" "LAPACK version 2.0" "LAPACK auxiliary routine (version 2.0)"
.TH SLARUV l "08 October 1994" "BLAS routine" "BLAS routine"
.SH NAME
SLARUV - return a vector of n random real numbers from a uniform (0,1)
.SH SYNOPSIS
.TP 19
SUBROUTINE SLARUV(
ISEED, N, X )
.TP 19
.ti +4
INTEGER
N
.TP 19
.ti +4
INTEGER
ISEED( 4 )
.TP 19
.ti +4
REAL
X( N )
.SH PURPOSE
SLARUV returns a vector of n random real numbers from a uniform (0,1)
distribution (n <= 128).
.br

This is an auxiliary routine called by SLARNV and CLARNV.

.SH ARGUMENTS
.TP 8
ISEED   (input/output) INTEGER array, dimension (4)
On entry, the seed of the random number generator; the array
elements must be between 0 and 4095, and ISEED(4) must be
odd.
On exit, the seed is updated.
.TP 8
N       (input) INTEGER
The number of random numbers to be generated. N <= 128.
.TP 8
X       (output) REAL array, dimension (N)
The generated random numbers.
.SH FURTHER DETAILS
This routine uses a multiplicative congruential method with modulus
2**48 and multiplier 33952834046453 (see G.S.Fishman,
.br
'Multiplicative congruential random number generators with modulus
2**b: an exhaustive analysis for b = 32 and a partial analysis for
b = 48', Math. Comp. 189, pp 331-344, 1990).
.br

48-bit integers are stored in 4 integer array elements with 12 bits
per element. Hence the routine is portable across machines with
integers of 32 bits or more.
.br

